com.jscape.util.keystore

## Class PublicKeyRecord

- java.lang.Object
- - com.jscape.util.keystore.PublicKeyRecord

-     public class PublicKeyRecord
      extends java.lang.Object

  Represents a public key container for encrypting communications and data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublicKeyRecord()`
    `PublicKeyRecord(java.security.PublicKey key)` Creates a new instance.
    `PublicKeyRecord(java.security.PublicKey key, java.util.Date creationDate)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getCreationDate()` Gets creation date.
    `java.security.PublicKey` | `getKey()` Gets public key.
    `void` | `setCreationDate(java.util.Date value)` Sets creation date.
    `void` | `setKey(java.security.PublicKey value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PublicKeyRecord

          public PublicKeyRecord(java.security.PublicKey key,
                                 java.util.Date creationDate)

      Creates a new instance.
      Parameters:
        `key` - a key
        `creationDate` - record creation date

    - #### PublicKeyRecord

          public PublicKeyRecord(java.security.PublicKey key)

      Creates a new instance.
      Parameters:
        `key` - a key

    - #### PublicKeyRecord

          public PublicKeyRecord()

  - ### Method Detail

    - #### getKey

          public java.security.PublicKey getKey()

      Gets public key.
      Returns:
        a key

    - #### setKey

          public void setKey(java.security.PublicKey value)

    - #### getCreationDate

          public java.util.Date getCreationDate()

      Gets creation date.
      Returns:
        record creation date

    - #### setCreationDate

          public void setCreationDate(java.util.Date value)

      Sets creation date.
      Parameters:
        `value` - record creation date

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2019. All Rights Reserved